<div style="position: relative" nz-row>
  <div
    nz-col
    nz-resizable
    (nzResize)="onResize($event)"
    [nzMinColumn]="6"
    [nzMaxColumn]="20"
    [nzGridColumnCount]="24"
    [nzSpan]="col"
    class="modal-left"
  >
    <nz-resize-handles></nz-resize-handles>
    <div class='style-chk'>
      <div>
        <label class="modal-left__label">Cây đơn vị</label>
      </div>
      <div>
        <div *ngIf='isShowChkOrg'>
          <label nz-checkbox [(ngModel)]='isShowAll'>Tất cả đơn vị</label>
        </div>
      </div>
    </div>
    <div class="modal-left__tree">
      <!-- <mat-tree style="margin-top: 16px" [dataSource]="dataSourceModal" [treeControl]="treeControl">
        <mat-tree-node
          *matTreeNodeDef="let node"
          (click)="activeNode = node"
          [ngClass]="{ 'selected-node': activeNode === node }"
          matTreeNodePadding
          matTreeNodePaddingIndent="27"
        >
          <button mat-icon-button matTreeNodeToggle [attr.aria-label]="'Toggle ' + node.name">
            <img alt="" class="modal-left__tree__icon" src="../../../../../assets/images/icon/minus-org.svg" />
          </button>
          <span class="modal-left__tree__span" (click)="selectedNodeId(node.id, node.name)">{{ node.name }}</span>
        </mat-tree-node>
        <mat-tree-node
          *matTreeNodeDef="let node; when: hasChild"
          matTreeNodePadding
          matTreeNodePaddingIndent="27"
          (click)="activeNode = node"
          [ngClass]="{ 'selected-node': activeNode === node }"
        >
          <button mat-icon-button matTreeNodeToggle [attr.aria-label]="'Toggle ' + node.name">
            <img
              alt=""
              class="modal-left__tree__icon"
              src="../../../../../assets/images/icon/add-org(1).svg"
              *ngIf="!treeControl.isExpanded(node)"
            />
            <img
              alt=""
              class="modal-left__tree__icon"
              src="../../../../../assets/images/icon/minus-org.svg"
              *ngIf="treeControl.isExpanded(node)"
            />
          </button>
          <span [ngClass]="{ 'first-node': treeControl.isExpanded(node) }" (click)="selectedNodeId(node.id, node.name)">
            {{ node.name }}
          </span>
        </mat-tree-node>
      </mat-tree> -->

      <nz-tree [nzData]="treeOrg" nzAsyncData (nzClick)="nzEvent($event)" (nzExpandChange)="nzEvent($event)"
               [nzExpandedIcon]="multiExpandedIconTpl"  [nzTreeTemplate]="nzTreeTemplate">
        <ng-template #multiExpandedIconTpl let-node>
          <button class="icon-expand">
            <div style="display: flex;">
              <img *ngIf="!node.isExpanded" alt="" class="modal-left__tree__icon"
              src="../../../../../assets/images/icon/add-org(1).svg" />
            <img alt="" class="modal-left__tree__icon" src="../../../../../assets/images/icon/minus-org.svg"
              *ngIf="node.isExpanded" />
            </div>
          </button>
        </ng-template>
        <ng-template #nzTreeTemplate let-node>
          <div [ngClass]='{"txt-disable":node.origin.flagStatus  === 0}'>
            {{node.title}}
          </div>
        </ng-template>
      </nz-tree>
    </div>
  </div>
  <app-loading *ngIf="isLoading"></app-loading>
  <div nz-col nzSpan="18" class="modal-right">
    <label class="modal-right__label">Đơn vị</label>
    <div nz-row class="modal-right__search-input">
      <div nz-col nzSpan="22">
        <mb-input-text
          [(ngModel)]="orgNameModal"
          mbType="default"
          [defaultInput]="true"
          (mbKeyup)="searchTreeOrg($event)"
          [mbShowFlexEnd]="false"
        >
        </mb-input-text>
      </div>
            <div nz-col nzSpan="2" class="flex-end" style="margin-top: 1.5rem">
              <mb-button mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)='showAdvSearch()'>
                <img *ngIf='isSearchAdv' src="../../../../../assets/images/icon/arrow-up.svg"  alt="" />
                <img *ngIf='!isSearchAdv' src="../../../../../assets/images/icon/arrow-down.svg" alt="" />
              </mb-button>
            </div>
    </div>
    <div class="main-job-card">
      <div nz-row class='main-job-card__row' *ngIf='isSearchAdv'>
          <div nz-col nzSpan="6">
          <mb-select [mbDataSelects]="listOrgManager" mbKeyLabel="orgName" mbKeyValue="orgId" (mbSelect)='onChangeManager($event)'
                     mbLabelText="{{'common.label.manageOrg' | translate}}" mbPlaceholder="{{'common.placeHolder.choose' | translate}}"
                     [(ngModel)]="objectSearch.orgManager">
          </mb-select>
        </div>
          <div nz-col nzSpan="6" class="main-job-card__left">
            <mb-select [mbDataSelects]="listOrgTT1" mbKeyLabel="orgName" mbKeyValue="orgId" [mbDisable]='!objectSearch.orgManager'
                       (mbSelect)='checkOrg()'
                       mbLabelText="{{'common.label.orgLv1' | translate}}" mbPlaceholder="{{'common.placeHolder.choose' | translate}}"
                       [(ngModel)]="objectSearch.orgIdTT1">
            </mb-select>
          </div>
          <div nz-col nzSpan="6" class="main-job-card__left">
            <mb-select [mbDataSelects]="listOrgTT2" mbKeyLabel="orgName" mbKeyValue="orgId" [mbDisable]='!objectSearch.orgIdTT1'
                       (mbSelect)='checkOrg()'
                       mbLabelText="{{'common.label.orgLv2' | translate}}" mbPlaceholder="{{'common.placeHolder.choose' | translate}}"
                       [(ngModel)]="objectSearch.orgIdTT2">
            </mb-select>
          </div>
          <div nz-col nzSpan="6" class="main-job-card__left">
            <mb-select [mbDataSelects]="listOrgTT3" mbKeyLabel="orgName" mbKeyValue="orgId" [mbDisable]='!objectSearch.orgIdTT2'
                       (mbSelect)='checkOrg()'
                       mbLabelText="{{'common.label.orgLv3' | translate}}" mbPlaceholder="{{'common.placeHolder.choose' | translate}}"
                       [(ngModel)]="objectSearch.orgIdTT3">
            </mb-select>
          </div>
      </div>
      <div nz-row class='main-job-card__row'>
        <div nz-col nzSpan="6">
          <mb-select [mbDataSelects]="areas"
                     mbKeyLabel="lvaMean"
                     mbKeyValue="lvaValue"
                     mbLabelText="{{ 'common.label.area' | translate }}"
                     mbPlaceholder="{{ 'common.placeHolder.choose' | translate }}"
                     [(ngModel)]="objectSearch.region">
          </mb-select>
        </div>
        <div nz-col nzSpan="6" class="main-job-card__left">
          <mb-select [mbDataSelects]="types"
                     mbKeyLabel="lvaMean"
                     mbKeyValue="lvaValue"
                     mbLabelText="{{ 'common.label.typeBranch' | translate }}"
                     mbPlaceholder="{{ 'common.placeHolder.choose' | translate }}"
                     [(ngModel)]="objectSearch.brachType">
          </mb-select>
        </div>
        <div nz-col nzSpan="6" class="main-job-card__left">
          <mb-select [mbDataSelects]="listOrgGroup" mbKeyLabel="key" mbKeyValue="value"
                     mbLabelText="{{'common.label.orgGroup' | translate}}"
                     mbPlaceholder="{{ 'common.placeHolder.choose' | translate }}"
                     [(ngModel)]="objectSearch.orgGroup">
          </mb-select>
        </div>
        <div nz-col nzSpan="6" style="margin-top: 1.5rem">
          <mb-button mbButtonSize="VERY_LARGE"
                     mbButtonAvailableStyle="CUSTOM"
                     (click)="searchTreeOrg($event)"
                     mbButtonText="{{ 'common.label.search' | translate }}">
          </mb-button>
        </div>
      </div>
    </div>
    <div nz-row style="margin-top: 16px">
      <div class="ant-table-content" nz-col nzSpan="24">
        <nz-table
          [nzData]="listSelectedOrg"
          [nzShowPagination]="false"
          [nzFrontPagination]="false"
          nzTableLayout="fixed"
          [nzScroll]="listSelectedOrg?.length > 5 && !isShowCheckbox ? { y: '350px' } : { y: '300px' }"
          #rowSelectionTable
        >
          <thead>
            <tr>
              <th
                *ngIf="isShowCheckbox"
                [nzChecked]="checked"
                (nzCheckedChange)="onAllChecked($event)"
                nzWidth="5%"
                scope="col"
              ></th>
              <th scope="col">Tên đơn vị</th>
              <th scope="col">Đơn vị quản lý</th>
            </tr>
          </thead>
          <tbody class="body-table">
            <tr [ngClass]="{'disable-row':data.flagStatus === 0}" *ngFor="let data of rowSelectionTable.data; let i = index" (click)="chooseOrg(i,data)">
              <td
                *ngIf="isShowCheckbox"
                [nzChecked]="orgMap.has(data.orgId)"
                (nzCheckedChange)="onItemChecked(data, $event)"
              ></td>
              <td nz-tooltip [nzTooltipTitle]="data.orgName">{{ data.orgName }}</td>
              <td>
                <span class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.pathName">{{ data.pathName }}</span>
              </td>
            </tr>
          </tbody>
        </nz-table>
        <div nz-row class="pagination">
          <div nz-col nzSpan="10" *ngIf="paginationModal.total === 0; else elseTplNoti">
            <img alt="" class="pagination__table-info--icon" alt="" src="assets/images/icon/idea.svg" />
            <span class="pagination__table-info--text"> Tìm thấy {{ paginationModal.total }} kết quả </span>
          </div>
          <ng-template #elseTplNoti>
            <div nz-col nzSpan="10" class="pagination__table-info">
              <img alt="" class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
              <span class="pagination__table-info--text"
                >Tìm thấy {{ paginationModal.total }} kết quả, hiển thị từ
                {{ paginationModal.size * paginationModal.pageIndex + 1 }} đến
                {{ paginationModal.size * paginationModal.pageIndex + paginationModal.numberOfElements }}</span
              >
            </div>
          </ng-template>
          <div nz-col nzSpan="14">
            <nz-pagination
              [nzPageIndex]="paginationModal.pageIndex + 1"
              (nzPageIndexChange)="changePage($event)"
              [nzTotal]="paginationModal.total"
              [nzPageSize]="paginationModal.size"
            ></nz-pagination>
          </div>
        </div>
      </div>
    </div>
    <div *ngIf="isShowCheckbox" class="footer">
      <mb-button
        mbButtonSize="MEDIUM"
        mbButtonBgColor="#141ED2"
        mbButtonText="{{ 'modelOrganization.assignJob.choose' | translate }}"
        mbButtonTextColor="#FFFFFF"
        [customStyle]="true"
        (click)="applyChecked()"
      >
      </mb-button>
    </div>
  </div>
</div>
